# $Revision: 1.73.2.6 $, $Date: 2010/02/02 16:05:34 $
#
# TODO:
# - autoip subpackage ?
# - autoip start script ?
#
# Conditional build:
%bcond_with	dotnet		# build without dotnet bindings
%bcond_without	qt		# build without (any) qt bindings
%bcond_without	qt3		# build without qt3 bindings
%bcond_with	qt4		# build without qt4 bindings

%if %{without qt}
%undefine	with_qt3
%undefine	with_qt4
%endif

%{?with_dotnet:%include /usr/lib/rpm/macros.mono}
Summary:	Free mDNS/DNS-SD implementation
Summary(pl.UTF-8):	Wolna implementacja mDNS/DNS-SD
Name:		avahi
Version:	0.6.20
Release:	6
License:	LGPL v2.1+
Group:		Applications
Source0:	http://avahi.org/download/%{name}-%{version}.tar.gz
# Source0-md5:	6acdff79afa2631f765f3bbbc3e25a74
Source1:	%{name}-daemon
Source2:	%{name}-dnsconfd
Source3:	%{name}.png
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-glade.patch
Patch2:		%{name}-destdir.patch
URL:		http://avahi.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	dbus-devel >= 0.62
BuildRequires:	doxygen
BuildRequires:	expat-devel
BuildRequires:	gdbm-devel
BuildRequires:	glib2-devel >= 1:2.12.2
BuildRequires:	graphviz
BuildRequires:	gtk+2-devel >= 2:2.8
BuildRequires:	libcap-devel
BuildRequires:	libdaemon-devel >= 0.11
BuildRequires:	libglade2-devel >= 1:2.6.0
BuildRequires:	libtool
%if %{with dotnet}
BuildRequires:	dotnet-gtk-sharp2-devel >= 2.10
BuildRequires:	mono-csharp
BuildRequires:	monodoc
%endif
BuildRequires:	pkgconfig
BuildRequires:	python >= 1:2.4
BuildRequires:	python-dbus >= 0.62
BuildRequires:	python-pygtk-devel >= 2:2.8
%if %{with qt3}
BuildRequires:	qt-devel >= 1:3.0
%endif
%if %{with qt4}
BuildRequires:	QtCore-devel
BuildRequires:	qt4-build
%endif
BuildRequires:	rpmbuild(macros) >= 1.228
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name}-libs = %{version}-%{release}
Requires:	dbus >= 0.62
Requires:	libdaemon >= 0.11
Provides:	group(avahi)
Provides:	user(avahi)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Avahi is an implementation the DNS Service Discovery and Multicast DNS
specifications for Zeroconf Computing. It uses D-BUS for communication
between user applications and a system daemon.

%description -l pl.UTF-8
Avahi jest implementacją specyfikacji DNS Service Discovery i
Multicast DNS dla Zeroconf Computing. Używa D-BUSa dla komunikacji
pomiędzy programami użytkownika a demonem systemowym.

%package libs
Summary:	Avahi client, common and core libraries
Summary(pl.UTF-8):	Biblioteki Avahi: klienta, wspólna i główna
Group:		Libraries

%description libs
Avahi client, common and core libraries.

%description libs -l pl.UTF-8
Biblioteki Avahi: klienta, wspólna i główna.

%package devel
Summary:	Header files for Avahi library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Avahi
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	dbus-devel >= 0.62
Requires:	expat-devel

%description devel
This is the package containing the header files for Avahi library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe biblioteki Avahi.

%package static
Summary:	Static Avahi library
Summary(pl.UTF-8):	Statyczna biblioteka Avahi
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Avahi library.

%description static -l pl.UTF-8
Statyczna biblioteka Avahi.

%package ui
Summary:	Avahi UI library
Summary(pl.UTF-8):	Biblioteka Avahi UI
Group:		X11/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	gtk+2 >= 2:2.8

%description ui
Common GTK+ UI support library for Avahi.

%description ui -l pl.UTF-8
Biblioteka wspólnego interfejsu użytkownika GTK+ dla Avahi.

%package ui-devel
Summary:	Header files for Avahi UI library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Avahi UI
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-ui = %{version}-%{release}
Requires:	gtk+2-devel >= 2:2.8

%description ui-devel
Header files for Avahi UI library.

%description ui-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Avahi UI.

%package ui-static
Summary:	Static Avahi UI library
Summary(pl.UTF-8):	Statyczna biblioteka Avahi UI
Group:		X11/Development/Libraries
Requires:	%{name}-ui-devel = %{version}-%{release}

%description ui-static
Static Avahi UI library.

%description ui-static -l pl.UTF-8
Statyczna biblioteka Avahi UI.

%package compat-libdns_sd
Summary:	Avahi Bonjour compat library
Summary(pl.UTF-8):	Biblioteka Avahi zgodna z Bonjour
Group:		Libraries
Provides:	mdns-bonjour
Obsoletes:	mDNSResponder-libs

%description compat-libdns_sd
Avahi Bonjour compat library.

%description compat-libdns_sd -l pl.UTF-8
Biblioteka Avahi zgodna z Bonjour.

%package compat-libdns_sd-devel
Summary:	Header files for Avahi Bonjour compat library
Summary(pl.UTF-8):	Pliki nagłówkowe wiązań Avahi dla biblioteki zgodnej z Bonjour
Group:		Development/Libraries
Requires:	%{name}-compat-libdns_sd = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}
Provides:	mdns-bonjour-devel
Obsoletes:	mDNSResponder-devel

%description compat-libdns_sd-devel
Header files for Avahi Bonjour compat library.

%description compat-libdns_sd-devel -l pl.UTF-8
Pliki nagłówkowe wiązań Avahi dla biblioteki zgodnej z Bonjour.

%package compat-libdns_sd-static
Summary:	Static Avahi Bonjour compat library
Summary(pl.UTF-8):	Statyczna biblioteka Avahi zgodna z Bonjour
Group:		Development/Libraries
Requires:	%{name}-compat-libdns_sd-devel = %{version}-%{release}
Provides:	mdns-bonjour-static

%description compat-libdns_sd-static
Static Avahi Bonjour compat library.

%description compat-libdns_sd-static -l pl.UTF-8
Statyczna biblioteka Avahi zgodna z Bonjour.

%package compat-howl
Summary:	Avahi Howl compat library
Summary(pl.UTF-8):	Biblioteka Avahi zgodna z Howl
Group:		Libraries
Provides:	mdns-howl-libs
Obsoletes:	howl-libs

%description compat-howl
Avahi Howl compat library.

%description compat-howl -l pl.UTF-8
Biblioteka Avahi zgodna z Howl.

%package compat-howl-devel
Summary:	Header files for Avahi Howl compat library
Summary(pl.UTF-8):	Pliki nagłówkowe wiązań Avahi dla biblioteki zgodnej z Howl
Group:		Development/Libraries
Requires:	%{name}-compat-howl = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}
Provides:	mdns-howl-devel
Obsoletes:	howl-devel

%description compat-howl-devel
Header files for Avahi Howl compat library.

%description compat-howl-devel -l pl.UTF-8
Pliki nagłówkowe wiązań Avahi dla biblioteki zgodnej z Howl.

%package compat-howl-static
Summary:	Static Avahi Howl compat library
Summary(pl.UTF-8):	Statyczna biblioteka Avahi zgodna z Howl
Group:		Development/Libraries
Requires:	%{name}-compat-howl-devel = %{version}-%{release}
Provides:	mdns-howl-static
Obsoletes:	howl-static

%description compat-howl-static
Static Avahi Howl compat library.

%description compat-howl-static -l pl.UTF-8
Statyczna biblioteka Avahi zgodna z Howl.

%package glib
Summary:	Avahi GLib library bindings
Summary(pl.UTF-8):	Wiązania Avahi dla bibioteki GLib
Group:		Libraries

%description glib
Avahi GLib library bindings.

%description glib -l pl.UTF-8
Wiązania Avahi dla bibioteki GLib.

%package glib-devel
Summary:	Header files for Avahi GLib library bindings
Summary(pl.UTF-8):	Pliki nagłówkowe wiązań Avahi dla biblioteki GLib
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-glib = %{version}-%{release}
Requires:	glib2-devel >= 1:2.12.2

%description glib-devel
This is the package containing the header files for Avahi-glib
library.

%description glib-devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe biblioteki Avahi-glib.

%package glib-static
Summary:	Static Avahi GLib library
Summary(pl.UTF-8):	Statyczna biblioteka Avahi GLib
Group:		Development/Libraries
Requires:	%{name}-glib-devel = %{version}-%{release}

%description glib-static
Static Avahi GLib library.

%description glib-static -l pl.UTF-8
Statyczna biblioteka Avahi GLib.

%package qt
Summary:	Avahi Qt 3 library bindings
Summary(pl.UTF-8):	Wiązania Avahi dla biblioteki Qt 3
Group:		Libraries
Requires:	%{name}-libs = %{version}-%{release}
Obsoletes:	avahi-qt3

%description qt
Avahi Qt 3 library bindings.

%description qt -l pl.UTF-8
Wiązania Avahi dla biblioteki Qt 3.

%package qt-devel
Summary:	Header files for Avahi Qt 3 library bindings
Summary(pl.UTF-8):	Pliki nagłówkowe wiązań Avahi dla biblioteki Qt 3
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-qt = %{version}-%{release}
Requires:	qt-devel >= 1:3.0
Obsoletes:	avahi-qt3-devel

%description qt-devel
Header files for Avahi Qt 3 library bindings.

%description qt-devel -l pl.UTF-8
Pliki nagłówkowe wiązań Avahi dla biblioteki Qt 3.

%package qt-static
Summary:	Static Avahi Qt 3 library
Summary(pl.UTF-8):	Statyczna biblioteka Avahi Qt 3
Group:		Development/Libraries
Requires:	%{name}-qt-devel = %{version}-%{release}
Obsoletes:	avahi-qt3-static

%description qt-static
Static Avahi Qt 3 library.

%description qt-static -l pl.UTF-8
Statyczna biblioteka Avahi Qt 3.

%package Qt
Summary:	Avahi Qt 4 library bindings
Summary(pl.UTF-8):	Wiązania Avahi dla biblioteki Qt 4
Group:		Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description Qt
Avahi Qt 4 library bindings.

%description Qt -l pl.UTF-8
Wiązania Avahi dla biblioteki Qt 4.

%package Qt-devel
Summary:	Header files for Avahi Qt 4 library bindings
Summary(pl.UTF-8):	Pliki nagłówkowe wiązań Avahi dla biblioteki Qt 4
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-Qt = %{version}-%{release}

%description Qt-devel
Header files for Avahi Qt 4 library bindings.

%description Qt-devel -l pl.UTF-8
Pliki nagłówkowe wiązań Avahi dla biblioteki Qt 4.

%package Qt-static
Summary:	Static Avahi Qt 4 library
Summary(pl.UTF-8):	Statyczna biblioteka Avahi Qt 4
Group:		Development/Libraries
Requires:	%{name}-Qt-devel = %{version}-%{release}

%description Qt-static
Static Avahi Qt 4 library.

%description Qt-static -l pl.UTF-8
Statyczna biblioteka Avahi Qt 4.

%package -n python-avahi
Summary:	Avahi Python bindings
Summary(pl.UTF-8):	Wiązania Avahi dla Pythona
Group:		Development/Languages/Python
Requires:	%{name}-libs = %{version}-%{release}
Requires:	python-dbus >= 0.62

%description -n python-avahi
Avahi Python bindings.

%description -n python-avahi -l pl.UTF-8
Wiązania Avahi dla Pythona.

%package -n dotnet-avahi
Summary:	Avahi MONO bindings
Summary(pl.UTF-8):	Wiązania Avahi dla MONO
Group:		Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description -n dotnet-avahi
Avahi MONO bindings.

%description -n dotnet-avahi -l pl.UTF-8
Wiązania Avahi dla MONO.

%package -n dotnet-avahi-devel
Summary:	Development files for MONO Avahi bindings
Summary(pl.UTF-8):	Pliki rozwojowe wiązań Avahi dla MONO
Group:		Development/Libraries
Requires:	dotnet-avahi = %{version}-%{release}
Requires:	monodoc

%description -n dotnet-avahi-devel
Development files for MONO Avahi bindings.

%description -n dotnet-avahi-devel -l pl.UTF-8
Pliki rozwojowe wiązań Avahi dla MONO.

%package -n dotnet-avahi-ui
Summary:	Avahi UI MONO bindings
Summary(pl.UTF-8):	Wiązania Avahi UI dla MONO
Group:		X11/Libraries
Requires:	%{name}-ui = %{version}-%{release}
Requires:	dotnet-avahi = %{version}-%{release}

%description -n dotnet-avahi-ui
Avahi UI MONO bindings.

%description -n dotnet-avahi-ui -l pl.UTF-8
Wiązania Avahi UI dla MONO.

%package -n dotnet-avahi-ui-devel
Summary:	Development files for MONO Avahi UI bindings
Summary(pl.UTF-8):	Pliki rozwojowe wiązań Avahi UI dla MONO
Group:		X11/Development/Libraries
Requires:	dotnet-avahi-ui = %{version}-%{release}
Requires:	monodoc

%description -n dotnet-avahi-ui-devel
Development files for MONO Avahi UI bindings.

%description -n dotnet-avahi-ui-devel -l pl.UTF-8
Pliki rozwojowe wiązań Avahi UI dla MONO.

%package bookmarks
Summary:	Miniature web server
Summary(pl.UTF-8):	Miniaturowy serwer web
Group:		Applications

%description bookmarks
A Python based miniature web server that browses for mDNS/DNS-SD
services of type '_http._tcp' (i.e. web sites) and makes them
available as HTML links on http://localhost:8080/.

%description bookmarks -l pl.UTF-8
Napisany w Pythonie miniaturowy serwer WWW, pozwalający na
przeglądanie usług typu '_http._tcp' (np. stron WWW) i udostępniający
je jako odnośniki HTML na http://localhost:8080/.

%package discover
Summary:	Avahi Zeroconf browser
Summary(pl.UTF-8):	Przeglądarka Zeroconf Avahi
Group:		Applications
Requires:	%{name} = %{version}-%{release}
Requires:	python-avahi = %{version}-%{release}
Requires:	python-pygtk-glade >= 2:2.8

%description discover
A tool for enumerating all available services on the local LAN
(python-pygtk implementation).

%description discover -l pl.UTF-8
Narzędzie wymieniające wszystkie dostępne usługi w sieci lokalnej LAN
(implementacja w python-pygtk).

%package discover-standalone
Summary:	Avahi Zeroconf browser
Summary(pl.UTF-8):	Przeglądarka Zeroconf Avahi
Group:		Applications
Requires:	%{name} = %{version}-%{release}
Requires:	python-dbus >= 0.62
Requires:	python-pygtk-glade >= 2:2.8

%description discover-standalone
GTK+ tool for enumerating all available services on the local LAN.

%description discover-standalone -l pl.UTF-8
Narzędzie GTK+ wymieniające wszystkie dostępne usługi w sieci lokalnej
LAN.

%package utils
Summary:	Avahi CLI utilities
Summary(pl.UTF-8):	Narzędzia CLI Avahi
Group:		Applications

%description utils
Command line utilities using avahi-client.

%description utils -l pl.UTF-8
Narzędzia linii poleceń korzystające z avahi-client.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal} -I common
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-compat-libdns_sd \
	--enable-compat-howl \
	--with-distro=none \
	%{!?with_qt3:--disable-qt3} \
	%{!?with_qt4:--disable-qt4} \
	%{!?with_dotnet:--disable-mono} \
	%{!?with_dotnet:--disable-monodoc}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir},/etc/rc.d/init.d}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pythondir=%{py_sitedir}

install %{SOURCE1} %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d
install %{SOURCE3} $RPM_BUILD_ROOT%{_pixmapsdir}

ln -sf %{_includedir}/avahi-compat-libdns_sd/dns_sd.h \
	$RPM_BUILD_ROOT%{_includedir}/dns_sd.h

ln -sf %{_pkgconfigdir}/avahi-compat-howl.pc \
	$RPM_BUILD_ROOT%{_pkgconfigdir}/howl.pc

rm -f $RPM_BUILD_ROOT%{py_sitedir}/avahi/{__init__,SimpleGladeApp}.py

rm -f $RPM_BUILD_ROOT%{_mandir}/man1/{avahi-{browse-domains,publish-address,publish-service,resolve-address,resolve-host-name},bvnc}.1
echo '.so avahi-browse.1' > $RPM_BUILD_ROOT%{_mandir}/man1/avahi-browse-domains.1
echo '.so avahi-publish.1' > $RPM_BUILD_ROOT%{_mandir}/man1/avahi-publish-address.1
echo '.so avahi-publish.1' > $RPM_BUILD_ROOT%{_mandir}/man1/avahi-publish-service.1
echo '.so avahi-resolve.1' > $RPM_BUILD_ROOT%{_mandir}/man1/avahi-resolve-address.1
echo '.so avahi-resolve.1' > $RPM_BUILD_ROOT%{_mandir}/man1/avahi-resolve-host-name.1
echo '.so bssh.1' > $RPM_BUILD_ROOT%{_mandir}/man1/bvnc.1

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 165 -r -f avahi
%useradd -u 165 -r -d /usr/share/empty -s /bin/false -c "Avahi daemon" -g avahi avahi

%post
/sbin/chkconfig --add %{name}-daemon
%service %{name}-daemon restart
/sbin/chkconfig --add %{name}-dnsconfd
%service %{name}-dnsconfd restart

%preun
if [ "$1" = "0" ]; then
	%service -q %{name}-dnsconfd stop
	/sbin/chkconfig --del %{name}-dnsconfd
	%service -q %{name}-daemon stop
	/sbin/chkconfig --del %{name}-daemon
fi

%postun
if [ "$1" = "0" ]; then
        %userremove avahi
	%groupremove avahi
fi

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%post	ui -p /sbin/ldconfig
%postun	ui -p /sbin/ldconfig

%post	compat-libdns_sd -p /sbin/ldconfig
%postun	compat-libdns_sd -p /sbin/ldconfig

%post	compat-howl -p /sbin/ldconfig
%postun	compat-howl -p /sbin/ldconfig

%post	glib -p /sbin/ldconfig
%postun	glib -p /sbin/ldconfig

%post	qt -p /sbin/ldconfig
%postun	qt -p /sbin/ldconfig

%post	Qt -p /sbin/ldconfig
%postun	Qt -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc docs/AUTHORS docs/COMPAT-LAYERS docs/NEWS docs/README docs/TODO

%dir %{_sysconfdir}/avahi
%dir %{_sysconfdir}/avahi/services
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/avahi/avahi-daemon.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/avahi/avahi-dnsconfd.action
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/avahi/hosts
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/avahi/services/ssh.service
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/avahi/services/sftp-ssh.service
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dbus-1/system.d/*

%attr(755,root,root) %{_bindir}/avahi-set-host-name

%attr(755,root,root) %{_sbindir}/avahi-daemon
%attr(755,root,root) %{_sbindir}/avahi-dnsconfd

%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/introspection
%{_datadir}/%{name}/introspection/*.introspect
%{_datadir}/%{name}/avahi-service.dtd
%{_datadir}/%{name}/service-types
%{_datadir}/%{name}/service-types.db

%{_mandir}/man*/*

%attr(754,root,root) /etc/rc.d/init.d/%{name}-daemon
%attr(754,root,root) /etc/rc.d/init.d/%{name}-dnsconfd

%attr(755,root,root) %{_sysconfdir}/%{name}/avahi-autoipd.action
%attr(755,root,root) %{_sbindir}/avahi-autoipd

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libavahi-client.so.*.*.*
%attr(755,root,root) %{_libdir}/libavahi-common.so.*.*.*
%attr(755,root,root) %{_libdir}/libavahi-core.so.*.*.*

%files devel
%defattr(644,root,root,755)
%doc docs/API-CHANGES-0.6 docs/DBUS-API docs/HACKING docs/MALLOC
%attr(755,root,root) %{_libdir}/libavahi-client.so
%attr(755,root,root) %{_libdir}/libavahi-common.so
%attr(755,root,root) %{_libdir}/libavahi-core.so
%{_libdir}/libavahi-client.la
%{_libdir}/libavahi-common.la
%{_libdir}/libavahi-core.la
%{_includedir}/avahi-client
%{_includedir}/avahi-common
%{_includedir}/avahi-core
%{_pkgconfigdir}/avahi-client.pc
%{_pkgconfigdir}/avahi-core.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libavahi-client.a
%{_libdir}/libavahi-common.a
%{_libdir}/libavahi-core.a

%files ui
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/bssh
%attr(755,root,root) %{_bindir}/bvnc
%attr(755,root,root) %{_libdir}/libavahi-ui.so.*.*.*
%{_desktopdir}/bssh.desktop
%{_desktopdir}/bvnc.desktop

%files ui-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libavahi-ui.so
%{_libdir}/libavahi-ui.la
%{_includedir}/avahi-ui
%{_pkgconfigdir}/avahi-ui.pc

%files ui-static
%defattr(644,root,root,755)
%{_libdir}/libavahi-ui.a

%files compat-libdns_sd
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdns_sd.so.*.*.*

%files compat-libdns_sd-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdns_sd.so
%{_libdir}/libdns_sd.la
%{_includedir}/avahi-compat-libdns_sd
%{_includedir}/dns_sd.h
%{_pkgconfigdir}/avahi-compat-libdns_sd.pc

%files compat-libdns_sd-static
%defattr(644,root,root,755)
%{_libdir}/libdns_sd.a

%files compat-howl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libhowl.so.*.*.*

%files compat-howl-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libhowl.so
%{_libdir}/libhowl.la
%{_includedir}/avahi-compat-howl
%{_pkgconfigdir}/avahi-compat-howl.pc
%{_pkgconfigdir}/howl.pc

%files compat-howl-static
%defattr(644,root,root,755)
%{_libdir}/libhowl.a

%files -n python-avahi
%defattr(644,root,root,755)
%{py_sitedir}/avahi

%if %{with dotnet}
%files -n dotnet-avahi
%defattr(644,root,root,755)
%{_prefix}/lib/mono/gac/avahi-sharp

%files -n dotnet-avahi-devel
%defattr(644,root,root,755)
%{_libdir}/monodoc/sources/avahi-sharp-docs.*
%{_prefix}/lib/mono/avahi-sharp
%{_pkgconfigdir}/avahi-sharp.pc

%files -n dotnet-avahi-ui
%defattr(644,root,root,755)
%{_prefix}/lib/mono/gac/avahi-ui-sharp

%files -n dotnet-avahi-ui-devel
%defattr(644,root,root,755)
%{_libdir}/monodoc/sources/avahi-ui-sharp-docs.*
%{_prefix}/lib/mono/avahi-ui-sharp
%{_pkgconfigdir}/avahi-ui-sharp.pc
%endif

%files glib
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libavahi-glib.so.*.*.*

%files glib-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libavahi-glib.so
%{_libdir}/libavahi-glib.la
%{_includedir}/avahi-glib
%{_pkgconfigdir}/avahi-glib.pc

%files glib-static
%defattr(644,root,root,755)
%{_libdir}/libavahi-glib.a

%if %{with qt3}
%files qt
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libavahi-qt3.so.*.*.*

%files qt-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libavahi-qt3.so
%{_libdir}/libavahi-qt3.la
%{_includedir}/avahi-qt3
%{_pkgconfigdir}/avahi-qt3.pc

%files qt-static
%defattr(644,root,root,755)
%{_libdir}/libavahi-qt3.a
%endif

%if %{with qt4}
%files Qt
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libavahi-qt4.so.*.*.*

%files Qt-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libavahi-qt4.so
%{_libdir}/libavahi-qt4.la
%{_includedir}/avahi-qt4
%{_pkgconfigdir}/avahi-qt4.pc

%files Qt-static
%defattr(644,root,root,755)
%{_libdir}/libavahi-qt4.a
%endif

%files bookmarks
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/avahi-bookmarks

%files discover
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/avahi-discover
# XXX: possibly missing %{_datadir}/%{name} dir, shared subdir
%dir %{_datadir}/%{name}/interfaces
%{_datadir}/%{name}/interfaces/avahi-discover.glade
%{_desktopdir}/avahi-discover.desktop
%{_pixmapsdir}/avahi.png

%files discover-standalone
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/avahi-discover-standalone
# XXX: possibly missing %{_datadir}/%{name} dir, shared subdir
%dir %{_datadir}/%{name}/interfaces
%{_datadir}/%{name}/interfaces/avahi-discover-standalone.glade

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/avahi-browse
%attr(755,root,root) %{_bindir}/avahi-publish
%attr(755,root,root) %{_bindir}/avahi-resolve

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: avahi.spec,v $
Revision 1.73.2.6  2010/02/02 16:05:34  glen
- conditionally include macros.mono

Revision 1.73.2.5  2007/09/06 06:20:34  arekm
- fix dbus version

Revision 1.73.2.4  2007/07/12 08:36:57  arekm
- rel 5; disable qt4

Revision 1.73.2.3  2007/07/12 08:33:39  arekm
- rel 4

Revision 1.73.2.2  2007/07/12 08:31:38  arekm
- rel 3; lower reqs for ac

Revision 1.73.2.1  2007/07/12 08:16:57  arekm
- disable mono; rel 2

Revision 1.73  2007/07/06 17:54:44  qboosh
- -devel doesn't require libdaemon-devel

Revision 1.72  2007/07/05 11:14:28  qrczak
- BR: libdaemon >= 0.11

Revision 1.71  2007/07/04 22:20:22  qboosh
- updated to 0.6.20 (fixes CVE-2007-3372)
- removed obsolete dotnet patch

Revision 1.70  2007/06/20 15:56:12  deejay1
- replace manpage symlink with proper one
- rel. 4

Revision 1.69  2007/06/19 12:55:07  patrys
- proper subpackage split
- rel. 3

Revision 1.68  2007/06/18 15:49:20  megabajt
- release 2

Revision 1.67  2007/06/17 22:46:08  qboosh
- updated to 0.6.19 (minor DoS fix)
- updated desktop patch, added dotnet patch
- new subpackages: -ui-*, dotnet-avahi-ui-*

Revision 1.66  2007/06/10 00:23:37  patrys
- separate python package for bindings
- rel. up

Revision 1.65  2007/04/27 08:10:57  qboosh
- CVE reference for 0.6.15

Revision 1.64  2007/04/10 23:18:07  shadzik
- qt-devel epoch 1

Revision 1.63  2007/02/12 21:23:48  glen
- tabs in preamble

Revision 1.62  2007/02/12 00:48:39  baggins
- converted to UTF-8

Revision 1.61  2007/02/09 15:53:46  deejay1
- up to 0.6.17

Revision 1.60  2007/01/16 13:58:49  megabajt
- fixed manpages symlinks

Revision 1.59  2007/01/15 16:22:42  deejay1
- up to 0.6.16 (fixes CVE-2006-6870)
- dbus patch applied upstream

Revision 1.58  2007/01/06 22:20:48  glen
- qt 3 typos

Revision 1.57  2006/12/17 17:00:00  deejay1
- BR: libcap-devel
- rel. 3

Revision 1.56  2006/12/08 11:03:17  czarny
- rel up to 2 for rebuild with updated init script

Revision 1.55  2006/11/16 16:40:17  deejay1
- up to 0.6.15
- fixes security bug (http://avahi.org/ticket/69) [CVE-2006-5461]

Revision 1.54  2006/11/13 14:53:20  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.53  2006/10/07 15:13:47  qboosh
- wants python >= 2.4

Revision 1.52  2006/09/28 08:00:35  wiget
- updated to 0.6.14

Revision 1.51  2006/08/26 15:29:47  grzegol
- 0.6.13

Revision 1.50  2006/08/08 18:13:34  freetz
- 0.6.12

Revision 1.49  2006/06/26 20:55:24  freetz
- 0.6.11

Revision 1.48  2006/06/24 19:26:35  freetz
- rel.3, fixed dnsconfd init scipt, bleeding edge deps

Revision 1.47  2006/06/09 15:15:52  wrobell
- added missing files
- rel. 2

Revision 1.46  2006/05/15 09:01:45  qboosh
- separated qt3/qt4 bconds (from AC-branch), qt bcond disables both

Revision 1.45  2006/05/06 04:32:40  aredridel
- up to 0.6.10

Revision 1.44  2006/04/16 17:55:05  qboosh
- tabs, strict internal deps

Revision 1.43  2006/04/16 17:49:22  aredridel
- add missing runtime deps

Revision 1.42  2006/03/26 18:08:53  arekm
- rel 5; deps fixes

Revision 1.41  2006/03/26 10:53:38  qboosh
- -compat-howl-devel R: -devel

Revision 1.40  2006/03/26 10:50:30  qboosh
- tab

Revision 1.39  2006/03/26 10:49:21  arekm
devel R: dbus-devel

Revision 1.38  2006/03/26 10:28:58  arekm
compat-libdns_sd-devel R: avahi-devel for libavahi-client.la

Revision 1.37  2006/03/20 19:27:18  freetz
- fixed typo, rel.4

Revision 1.36  2006/03/19 22:29:45  pluto
- include only avahi-sharp.pc i dotnet's devel.

Revision 1.35  2006/03/19 22:27:42  freetz
- removed TODO (anyway, was a funny thing ;)

Revision 1.34  2006/03/19 22:24:31  freetz
- TODO added

Revision 1.33  2006/03/19 22:19:49  pluto
- build qt3 and qt4 bindings.

Revision 1.32  2006/03/19 22:01:37  pluto
- fix libdir for monodoc sources.

Revision 1.31  2006/03/19 21:14:52  pluto
- s/BR:mono/BR:mono-csharp/
- BR:glitz-devel killed. avahi doesn't use it.

Revision 1.30  2006/03/19 21:07:37  deejay1
- BR: glitz-devel

Revision 1.29  2006/03/19 20:53:59  pluto
- fix release.

Revision 1.28  2006/03/19 20:53:39  pluto
- more BRs.

Revision 1.27  2006/03/19 20:02:59  freetz
- added destdir fix, fixed R: in compat-*-static (thx pluto), rel.3

Revision 1.26  2006/03/19 18:58:58  freetz
- remove trash

Revision 1.25  2006/03/19 18:41:47  freetz
- enable dotnet by default, rel.2

Revision 1.24  2006/03/03 16:51:03  freetz
- 0.6.9

Revision 1.23  2006/02/25 17:46:47  aredridel
- bcond qt

Revision 1.22  2006/02/23 14:26:16  freetz
- 0.6.8, provides/obsoletes for compat-dns_sd

Revision 1.21  2006/02/19 11:02:37  qboosh
- cosmetics, notes on missing/shared dirs

Revision 1.20  2006/02/16 11:31:44  freetz
- fix missing mdns-howl provides

Revision 1.19  2006/02/16 11:25:47  freetz
- added howl compat library, rel.2

Revision 1.18  2006/02/15 08:49:47  freetz
- 0.6.7

Revision 1.17  2006/02/11 23:08:22  freetz
- 0.6.6, make a symlink to dns_sd.h to provide full bonjour compatibility

Revision 1.16  2006/02/02 10:51:21  qboosh
- cosmetics

Revision 1.15  2006/02/01 22:17:12  freetz
- placed requirement correctly

Revision 1.14  2006/02/01 22:15:08  freetz
- missing require

Revision 1.13  2006/02/01 22:13:18  freetz
- added compat-libdns_sd library

Revision 1.12  2006/01/28 08:53:50  freetz
- dotnet bindings updated, mono autodeps not included (totally broken)

Revision 1.11  2006/01/26 15:54:46  freetz
- 0.6.5, added glade patch, require dbus >= 0.60-2, small fixes

Revision 1.10  2006/01/23 08:26:04  freetz
- -devel tunning

Revision 1.9  2006/01/22 18:57:51  freetz
- misc small fixes, desktop patch and png icon added

Revision 1.8  2006/01/22 09:34:38  qboosh
- tabs

Revision 1.7  2006/01/21 23:18:13  freetz
- provide group/user

Revision 1.6  2006/01/21 14:54:12  freetz
- don't enable howl compat layer for now

Revision 1.5  2006/01/21 14:27:53  freetz
- typo

Revision 1.4  2006/01/21 14:20:55  freetz
- 165 for avahi gid/uid

Revision 1.3  2006/01/21 13:40:12  freetz
- pre/postun user/group preparation

Revision 1.2  2006/01/21 13:35:21  freetz
- added init scripts

Revision 1.1  2006/01/21 13:02:45  freetz
- started work on Avahi for PLD
